##
# This file is part of WhatWeb and may be subject to
# redistribution and commercial restrictions. Please see the WhatWeb
# web site for more information on licensing and terms of use.
# http://www.morningstarsecurity.com/research/whatweb
##
Plugin.define "coWiki" do
author "Brendan Coles <bcoles@gmail.com>" # 2010-07-22
version "0.1"
description "wiki - http://www.cowiki.org/"

# 8 Google results for "powered by coWiki" @ 2010-07-22
examples %w|
chernowiki.ru
www.s9y.org
itg.chem.indiana.edu/inc/wiki/
|

def passive
        m=[]

        if @body =~ /<!-- Generated by coWiki [\d\.\-a-z]+ \([http:\/\/www.develnet.org|http:\/\/www.cowiki.org]+\) -->/
                version=@body.scan(/<!-- Generated by coWiki ([\d\.\-a-z]+) \([http:\/\/www.develnet.org|http:\/\/www.cowiki.org]+\) -->/)[0][0]
                m << {:version=>version}
        end

        if @body =~ /<meta name="generator" content="coWiki [\d\.\-a-z]+, [http:\/\/www.develnet.org|http:\/\/www.cowiki.org]+"[\ \/]*>/
                version=@body.scan(/<meta name="generator" content="coWiki ([\d\.\-a-z]+), [http:\/\/www.develnet.org|http:\/\/www.cowiki.org]+"[\ \/]*/)[0][0]
                m << {:version=>version}
        end

        m

end


end

